<?php
/* 
 * Copyright (C) 2012 Fructisoft (Jeremy Joly), All Rights Reserved. 
 * @license - http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */
 

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FsBrowserCompatibilityViewSettings extends JView {

    function display($tpl = null) {

        $this->_default();
        
        parent::display($tpl);
    }



    private function _default(){

        // Setup toolbar
        JToolBarHelper::title(JText::_('Settings'), 'cpanel.png');
        JToolBarHelper::save('save');


        // Get model
        $model = $this->getModel();

        // Load settings
        $settings = $model->load();

        // Get plugin status
        $this->assign('pluginStatus', $model->GetPluginStatus());


        // Get backend / frontend plugin status
        $this->assign('enableOnFrontend', $settings->get('EnableOnFrontend', 1) == 1 );
        $this->assign('enableOnBackend', $settings->get('EnableOnBackend', 0) == 1 );


        $inputs = array();


        // Global
        $inputs['EnableOnFrontend'] = JHTML::_('select.genericlist', $model->GetBooleanList(), 'params[EnableOnFrontend]', 'class="inputbox"', 'value', 'text', $settings->get('EnableOnFrontend', 1));
        $inputs['EnableOnBackend'] = JHTML::_('select.genericlist', $model->GetBooleanList(), 'params[EnableOnBackend]', 'class="inputbox"', 'value', 'text', $settings->get('EnableOnBackend', 0));
        $inputs['HideJavascriptErrors'] = JHTML::_('select.genericlist', $model->GetBooleanList(), 'params[HideJavascriptErrors]', 'class="inputbox"', 'value', 'text', $settings->get('HideJavascriptErrors', 1));
        $inputs['ResetCssDefaultValues'] = JHTML::_('select.genericlist', $model->GetBooleanList(), 'params[ResetCssDefaultValues]', 'class="inputbox"', 'value', 'text', $settings->get('ResetCssDefaultValues', 0));

        

        // Internet Explorer
        $inputs['IeEnableHTML5Compatibility'] = JHTML::_('select.genericlist', $model->GetBooleanList(), 'params[IeEnableHTML5Compatibility]', 'class="inputbox"', 'value', 'text', $settings->get('IeEnableHTML5Compatibility', 1));
        $inputs['IeEnableCompatibilityViewMode'] = JHTML::_('select.genericlist', $model->GetBooleanList(), 'params[IeEnableCompatibilityViewMode]', 'class="inputbox"', 'value', 'text', $settings->get('IeEnableCompatibilityViewMode', 1));
        $inputs['IeEnablePngFix'] = JHTML::_('select.genericlist', $model->GetBooleanList(), 'params[IeEnablePngFix]', 'class="inputbox"', 'value', 'text', $settings->get('IeEnablePngFix', '0'));

        // Google Chrome
        $inputs['ChromeEnableFrame'] = JHTML::_('select.genericlist', $model->GetBooleanList(), 'params[ChromeEnableFrame]', 'class="inputbox"', 'value', 'text', $settings->get('ChromeEnableFrame', 0));

        // Safari
        $inputs['SafariDisableTelephoneLinks'] = JHTML::_('select.genericlist', $model->GetBooleanList(), 'params[SafariDisableTelephoneLinks]', 'class="inputbox"', 'value', 'text', $settings->get('SafariDisableTelephoneLinks', 1));
        
        
        // Mobile
        $inputs['MobileSetViewport'] = JHTML::_('select.genericlist', $model->GetBooleanList(), 'params[MobileSetViewport]', 'class="inputbox"', 'value', 'text', $settings->get('MobileSetViewport', 1));
        
        $this->assign('inputs', $inputs);


    }


}
